﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.86
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private Forward, Backward, Lights, ToutDroit, klaxon, STOP, TR, TL, Huit As ImageView
	Public BTA As AsyncStreams
	Public Write = False As Boolean
	Public Valeur, V As Byte
End Sub

'You can add more parameters here.
Public Sub Initialize

End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	'load the layout to Root
	Root.LoadLayout("2")
End Sub


Sub B4XPage_CloseRequest As ResumableSub
	If B4XPages.MainPage.ConnectionState = True Then
		Dim sf As Object = xui.Msgbox2Async("Déconnecter ?", "", "Oui", "", "Non", Null)
		Wait For (sf) Msgbox_Result (Result As Int)
		If Result = xui.DialogResponse_Positive Then
			Log("Effacé!!!")
			B4XPages.MainPage.Disconnect
			Return True
		Else
			Return False
		End If
	End If
	Return True
End Sub

Sub Lights_Click
	'Valeurs allumant ou éteignant les feux, diodes, Leds si installés
	B4XPages.MainPage.BTA.Write(Array As Byte(9))
End Sub

Sub Klaxon_Click
	'Valeurs allumant ou éteignant le klaxon si un buzzer est installé et connecté
	B4XPages.MainPage.BTA.Write(Array As Byte(3))
End Sub

Sub STOP_Click
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(0))
End Sub

Sub Forward_Click 'Forward
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(10))
End Sub

Sub Forward_LongClick 'Quick Forward
	Forward.Bitmap = LoadBitmap(File.DirAssets,"avplus.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(11))
	End Sub

Sub Backward_Click 'Backward
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(12))
End Sub

Sub Backward_LongClick ' Quick Backward
	Backward.Bitmap = LoadBitmap(File.DirAssets,"arplus.jpg")
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(13))
End Sub

Sub TR_Click 'Right
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(6))
End Sub

Sub ToutDroit_Click
	B4XPages.MainPage.BTA.Write(Array As Byte(2))
End Sub

Sub TR_LongClick 'Right +
	TR.Bitmap = LoadBitmap(File.DirAssets,"tdplus.jpg")
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(7))
End Sub

Sub TL_Click 'Left
	TL.Bitmap = LoadBitmap(File.DirAssets,"tg.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(4))
End Sub

Sub TL_LongClick ' Left +
	TL.Bitmap = LoadBitmap(File.DirAssets,"tgplus.jpg")
	TR.Bitmap = LoadBitmap(File.DirAssets,"td.jpg")
	Forward.Bitmap = LoadBitmap(File.DirAssets,"av.jpg")
	Backward.Bitmap = LoadBitmap(File.DirAssets,"ar.jpg")
	B4XPages.MainPage.BTA.Write(Array As Byte(5))
End Sub

'Le véhicule va effectuer un circuit de plusieurs mètres en autonomie et de préférence à l'extérieur
'après confirmation de votre part ...
Sub Huit_Click
	Msgbox2Async("Attention, le véhicule va effectuer un circuit de plusieurs mètres en autonomie et de préférence à l'extérieur ?","Confirmez-vous ?", "Oui", "", "Non", Null, True)
	Wait For Msgbox_Result (Result As Int)
	If Result=DialogResponse.POSITIVE Then
		B4XPages.MainPage.BTA.Write(Array As Byte(8))
	End If
End Sub

Sub Sortie_Click
	Msgbox2Async("Êtes-vous certain de vouloir fermer la connexion Bluetooth ?","Fermer ?", "Oui", "", "Non", Null, True)
	Wait For Msgbox_Result (Result As Int)
	If Result=DialogResponse.POSITIVE Then
		B4XPages.MainPage.BTA.Write(Array As Byte(0))
		B4XPages.MainPage.Disconnect
	End If
End Sub
